#### D.14.1.12 arrCentered

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrCentered(A); arr A

Return:
  [0,1] true if A is centered(i.e. intersection of all planes not empty)

Note:
  The algorithm uses the rank of matrix: Ax=b has a solution iff rank(A) = rank(A|b)

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    arr A= ideal(x,y,x-y+1);        // centerless
    arrCentral(A);
    ==> 0
    arr B= ideal(x,y,z);            // central with center being the origin
    arrCentral(B);
    ==> 1
    arr C= ideal(x+1,2y+1,-z+1);    // central with center (-1,-1/2, 1)
    arrCentral(C);
    ==> 0

See also: arrCenter; arrCentered; arrCentral; arrCentralize.

User manual for Singular version 4.4.1, 2025, generated by texi2html.